Subject: bug#14283: RFE: ls should display presence of capabilities on a file

From: Linda Walsh <[email-masked]>
Date: Sat, 27 Apr 2013 10:12:32 -0700

Pádraig Brady wrote:

> But we have to be a bit careful adding to the permissions string,
> for compat reasons etc. I do like the idea of ^ (hat) => cap.
> You could even be fancy and use combining hat (\u0302) so
> as to not take up any more place, though combining char support
> is not currently supported well enough to allow that I think.
----
	I would have preferred the combining option as well,
though rejected it for similar reasons. Been using unicode for
10+ years on my file systems (often with many compat issues),
but have only recently started to see more widespread usage
of them on the net...but felt wasn't fully enough supported
to use as an indicator in ls...  In our lifetimes?  ;-)

> We'll consider it,
> thanks,
----
Thank you!